import { StiBorder } from "../properties/StiBorder";
import Color from "../system/Color";
import { StiTextHorAlignment } from "../system/enums";
import StiJson from "../system/StiJson";
import { StiFormElement } from "./base/StiFormElement";
export declare class StiTextElement extends StiFormElement {
    type: string;
    htmlTextString: string;
    textColor: Color;
    textHorizontalAlignment: StiTextHorAlignment;
    border: StiBorder;
    showBorderEditor: boolean;
    constructor();
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    htmlStyle(): string;
}
